District (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.query.data

## Class District

- java.lang.Object
- - org.apache.geode.cache.query.data.District

- All Implemented Interfaces:
    java.io.Serializable

      public class District
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Set` | `cities`
    `java.lang.String` | `name`
    `java.util.Set` | `villages`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `District(int i, java.util.Set cities, java.util.Set villages)`
    `District(java.lang.String name, java.util.Set cities, java.util.Set villages)` Creates a new instance of District

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set` | `getCities()`
    `java.lang.String` | `getName()`
    `java.util.Set` | `getVillages()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### cities

          public java.util.Set cities

    - #### villages

          public java.util.Set villages

  - ### Constructor Detail

    - #### District

          public District(java.lang.String name,
                          java.util.Set cities,
                          java.util.Set villages)

      Creates a new instance of District

    - #### District

          public District(int i,
                          java.util.Set cities,
                          java.util.Set villages)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getCities

          public java.util.Set getCities()

    - #### getVillages

          public java.util.Set getVillages()